Next: Controlling gpg-connect-agent, Up: gpg-connect-agent

#### 7.8.1 List of all options.

`gpg-connect-agent` is invoked this way:

         gpg-connect-agent [options] [commands]

The following options may be used:

`-v`
`--verbose`
  Output additional information while running.
`-q`
`--quiet`
  Try to be as quiet as possible.
`--homedir` dir
  Set the name of the home directory to dir. If this option is not used, the home directory defaults to `~/.gnupg`. It is only recognized when given on the command line. It also overrides any home directory stated through the environment variable `GNUPGHOME` or (on W32 systems) by means of the Registry entry HKCU\Software\GNU\GnuPG:HomeDir.
`--agent-program` file
  Specify the agent program to be started if none is running.
`-S`
`--raw-socket` name
  Connect to socket name assuming this is an Assuan style server. Do not run any special initializations or environment checks. This may be used to directly connect to any Assuan style socket server.
`-E`
`--exec`
  Take the rest of the command line as a program and it's arguments and execute it as an assuan server. Here is how you would run `gpgsm`:

                 gpg-connect-agent --exec gpgsm --server

  Note that you may not use options on the command line in this case.

`--no-ext-connect`
  When using `-S` or `--exec`, `gpg-connect-agent` connects to the assuan server in extended mode to allow descriptor passing. This option makes it use the old mode.
`--run` file
  Run the commands from file at startup and then continue with the regular input method. Note, that commands given on the command line are executed after this file.
`-s`
`--subst`
  Run the command `/subst` at startup.
`--hex`
  Print data lines in a hex format and the ASCII representation of non-control characters.
`--decode`
  Decode data lines. That is to remove percent escapes but make sure that a new line always starts with a D and a space.